#!/bin/bash
JPACKAGE_URL="http://www.jpackage.org/mirrorlist.php"
echo "Content-type: text/plain"
echo ""
echo "# Generated on $(date)"
cache_file="${0%/*}/${QUERY_STRING//[&%\/=]/_}"
[[ "$cache_file" == "${0##*/}" ]] \
&& {
    echo "# Unknown release"
    exit 0
}
wget -q -O "$cache_file.tmp" "$JPACKAGE_URL?$QUERY_STRING" \
&& mv "$cache_file.tmp" "$cache_file"
rm -f "$cache_file.tmp"
grep -viq "unknown release" "$cache_file" \
&& cat "$cache_file" \
|| {
    rm -f "$cache_file"
    echo "# Unknown release"
}
exit 0
